REM     This batch file is used to patch the FoxPro for Windows files.

	ATTRIB -r FOXW2500.ESL

REM     The following will fail unless you're running UPDWDK a second time.

        ATTRIB -r FOXW250B.ESL

REM     Apply patches to foxw2500.esl and foxprow.exe

	WINDK -O -D
	@IF ERRORLEVEL 1 GOTO :Error

	ATTRIB -r FOXPROW.EXE
	PATCH -P
	ATTRIB +r FOXPROW.EXE
	
REM     Restore files to required names.  
REM     The following will fail unless you're running UPDWDK a second time.

	ERASE foxw250B.esl

	RENAME foxw2500.esl foxw250B.esl
	
	ATTRIB +r FOXW250B.ESL

	GOTO Done

:Error  
	@ECHO An error occured.  You are probably out of disk space.
	@ECHO Please free up some disk space and try again.

:Done

